com.google.web.bindery.requestfactory.vm

## Class InProcessRequestFactory

- java.lang.Object
- - com.google.web.bindery.requestfactory.shared.impl.IdFactory
  - - com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory
    - - com.google.web.bindery.requestfactory.vm.InProcessRequestFactory

All Implemented Interfaces:
  RequestFactory

    class InProcessRequestFactory
    extends com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory

A JRE-compatible implementation of RequestFactory.

### Nested Class Summary

Nested Classes
`(package private) static interface` `InProcessRequestFactory.Factory`
`(package private) class` `InProcessRequestFactory.RequestFactoryHandler`

### Field Summary

### Fields inherited from interface com.google.web.bindery.requestfactory.shared.RequestFactory

`JSON_CONTENT_TYPE_UTF8`

### Constructor Summary

Constructors
Constructor and Description
`InProcessRequestFactory(java.lang.Class<? extends RequestFactory> requestFactoryInterface)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected AutoBeanFactory` `getAutoBeanFactory()` Implementations of EntityProxies are provided by an AutoBeanFactory, which is itself a generated type.
`com.google.web.bindery.requestfactory.vm.impl.Deobfuscator` `getDeobfuscator()`
`java.lang.String` `getFactoryTypeToken()` Returns a type token for the RequestFactory instance, which is used to seed operation and type token resolution on the server.
`protected <P extends BaseProxy> java.lang.Class<P>` `getTypeFromToken(java.lang.String typeToken)`
`protected java.lang.String` `getTypeToken(java.lang.Class<? extends BaseProxy> clazz)`
`void` `initialize(EventBus eventBus)` The choice of a default request transport is runtime-specific.
`boolean` `isEntityType(java.lang.Class<?> clazz)`
`boolean` `isValueType(java.lang.Class<?> clazz)`

### Methods inherited from class com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory

`find, getEventBus, getHistoryToken, getHistoryToken, getProxyClass, getProxyId, getRequestTransport, getSerializer, hasVersionChanged, initialize`

### Methods inherited from class com.google.web.bindery.requestfactory.shared.impl.IdFactory

`allocateId, allocateSyntheticId, asEntityProxy, asValueProxy, getBaseProxyId, getHistoryToken, getId, getId, getId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InProcessRequestFactory

    public InProcessRequestFactory(java.lang.Class<? extends RequestFactory> requestFactoryInterface)

### Method Detail

#### getDeobfuscator

    public com.google.web.bindery.requestfactory.vm.impl.Deobfuscator getDeobfuscator()

#### getFactoryTypeToken

    public java.lang.String getFactoryTypeToken()

Description copied from class: `com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory`
Returns a type token for the RequestFactory instance, which is used to seed operation and type token resolution on the server.

Specified by:
  `getFactoryTypeToken` in class `com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory`

#### initialize

    public void initialize(EventBus eventBus)

Description copied from class: `com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory`
The choice of a default request transport is runtime-specific.

Specified by:
  `initialize` in interface `RequestFactory`
Specified by:
  `initialize` in class `com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory`
Parameters:
  `eventBus` - an `EventBus`

#### isEntityType

    public boolean isEntityType(java.lang.Class<?> clazz)

Specified by:
  `isEntityType` in class `com.google.web.bindery.requestfactory.shared.impl.IdFactory`

#### isValueType

    public boolean isValueType(java.lang.Class<?> clazz)

Specified by:
  `isValueType` in class `com.google.web.bindery.requestfactory.shared.impl.IdFactory`

#### getAutoBeanFactory

    protected AutoBeanFactory getAutoBeanFactory()

Description copied from class: `com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory`
Implementations of EntityProxies are provided by an AutoBeanFactory, which is itself a generated type. This method knows about all proxy types used in the RequestFactory interface, which prevents pruning of any proxy type. If the `AbstractRequestFactory.find(EntityProxyId)` and `AbstractRequestFactory.getSerializer(ProxyStore)` were provided by `AbstractRequestContext`, this method could be removed.

Specified by:
  `getAutoBeanFactory` in class `com.google.web.bindery.requestfactory.shared.impl.AbstractRequestFactory`

#### getTypeFromToken

    protected <P extends BaseProxy> java.lang.Class<P> getTypeFromToken(java.lang.String typeToken)

Specified by:
  `getTypeFromToken` in class `com.google.web.bindery.requestfactory.shared.impl.IdFactory`

#### getTypeToken

    protected java.lang.String getTypeToken(java.lang.Class<? extends BaseProxy> clazz)

Specified by:
  `getTypeToken` in class `com.google.web.bindery.requestfactory.shared.impl.IdFactory`